Sysplex (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.zOS.Sysplex interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.zOS
Interface Sysplex

All Superinterfaces:
  CIMSystem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface Sysplex

extends CIMSystem

A sysplex is a set of z/OS systems communicating and cooperating with each other through certain multisystem hardware components and software services to process customer workloads. Not all members of the sysplex need be operating all the time. Systems can join, leave and rejoin the sysplex at any time. A z/OS system cannot concurrently join multiple sysplexes but it may leave one sysplex and join another. It is also possible for a sysplex to only ever have the one z/OS system as a member. This situation is referred to as a Monoplex and data can still be shared between subsystems that execute on the same system. It is also possible for a z/OS system to run stand-alone in XCF-local mode (non-sysplex) which differs from monoplex in that data sharing between subsystems does not use a coupling facility.

Naming Rules:
  0="owner,name" 1="managedSystemName"
Persistable:
  true
Table Name:
  SYSPLEX
Display Name:
  owner,name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`ZCouplingFacility[]` | `getCouplingFacilities()`
`SysplexGroup[]` | `getGroups()` The groups (communicating address spaces) defined within this sysplex
`SystemSpecificCollection` | `getMembers()` The members (constituent computer systems) of this sysplex.
`java.lang.String` | `getName()` The name commonly used by support personnel to identify the group of z/OS images that particpate in the sysplex.
`OrganizationalEntity` | `getOwner()` The organizational group that owns this Sysplex.
`boolean` | `hasCouplingFacilities()`
`boolean` | `hasGroups()`
`boolean` | `hasMembers()`
`boolean` | `hasName()`
`boolean` | `hasOwner()`
`void` | `setCouplingFacilities(ZCouplingFacility[] x)`
`void` | `setGroups(SysplexGroup[] groups)`
`void` | `setMembers(SystemSpecificCollection value)`
`void` | `setName(java.lang.String value)`
`void` | `setOwner(OrganizationalEntity value)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getCouplingFacilities

    ZCouplingFacility[] getCouplingFacilities()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Supports" reverse="true"

### setCouplingFacilities

    void setCouplingFacilities(ZCouplingFacility[] x)

### hasCouplingFacilities

    boolean hasCouplingFacilities()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  The name commonly used by support personnel to identify the group of z/OS images that particpate in the sysplex. For example SYSPLEXO

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String value)

### hasName

    boolean hasName()

### getOwner

    OrganizationalEntity getOwner()
                                  throws AttributeNotSetException

  The organizational group that owns this Sysplex. Used to make the name of the Sysplex globally-unique. The organizational structure is completely flexible, and could be based on geography or business purpose (such as "test" and "production").

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Owns" reverse="true"

### setOwner

    void setOwner(OrganizationalEntity value)

### hasOwner

    boolean hasOwner()

### getMembers

    SystemSpecificCollection getMembers()
                                        throws AttributeNotSetException

  The members (constituent computer systems) of this sysplex. The members are contained in a SystemSpecificCollection, which might be a RedundancySet if the members can be used interchangeably (for redundancy purposes).

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.HostedCollection" reverse="false"

### setMembers

    void setMembers(SystemSpecificCollection value)

### hasMembers

    boolean hasMembers()

### getGroups

    SysplexGroup[] getGroups()
                             throws AttributeNotSetException

  The groups (communicating address spaces) defined within this sysplex

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setGroups

    void setGroups(SysplexGroup[] groups)

### hasGroups

    boolean hasGroups()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD